Subject: Re: [106attendees] Etherpad Issues - SOLVED

From: "Aaron Falk" <[email-masked]>
Date: Mon, 18 Nov 2019 10:16:26 +0800

Thanks, Robert.  Cc’ing 106attendees to head off other NOC tickets as 
Etherpad is working as expected.

--aaron

On 18 Nov 2019, at 10:10, Robert Sparks wrote:

> Hi Aaron -
>
> Here is a little detail on why the etherpads are showing an IP address 
> as a workaround for the moment.
>
> RjS
>
>
>
> -------- Forwarded Message --------
> Subject: 	Etherpad Issues - SOLVED
> Date: 	Sat, 16 Nov 2019 20:03:38 -0800
> From: 	Glen <[email-masked]>
> To: 	Lou Berger <[email-masked]>, Russ Housley 
> <[email-masked]>, Henrik Levkowetz <[email-masked]>, 
> Robert Sparks <[email-masked]>, Tero Kivinen <[email-masked]>
>
>
>
> Lou/Tero -
>
> Very short version: It's working now. Quit your browser COMPLETELY
> and retry.
>
> All -
>
> Lou and Tero have both reported problems with Etherpad, in which users
> on Etherpad were getting constant "reconnecting" messages, and the
> system was not recording their text or changes. I confirmed that the
> same thing was happening for me from here in California.
>
> I initially thought that the system had been set up incorrectly - the
> configuration was not in accordance with the instructions online - but
> even trying other documented configurations did not solve this
> problem, and Alexa informed me that this worked at previous meetings.
>
> I've spent several hours on this, and the problem appears to be in
> Apache. Etherpad is set up as a Proxy destination from Apache, which
> means Apache stores and forwards data from the web to Etherpad. Over
> the course of the last number of months, we've added lots of other
> proxying to Apache, for Wagtail and for other sites and systems, and I
> can only speculate that we've changed something in Apache that has
> broken this.
>
> And the biggest clue: If you access Etherpad directly, without going
> through Apache, it works great. Fast, responsive, no problems. The
> problem exists only when we proxy through Apache.
>
> I've tried downloading and building the latest version of Etherpad -
> alas, it too works great on its on - and horribly when proxied through
> Apache.
>
> Moreover, Googling around for this problem seems to result in lots of
> statements like "Apache is horrible at proxying, you should use
> [Nginx|Litehttp|some other web server] - anything but Apache!"
> followed by a complete lack of solution to this issue. I get that
> this was working before; on the other hand, it seems that *many* users
> globally are experiencing the same issue with Apache proxying, and
> given the changes we've made recently, I would want to poke there
> next.
>
> I'm confident that I could fix this if I had the luxury of scheduled
> downtime; but the problem is I can't "work on" Apache without throwing
> everything offline. Every time I try to apply a change to Apache,
> there is a 60-90 second interruption as it reloads or restarts, and
> this causes problems not only for the attendees generally, but
> especially for the registration desk. I've already interrupted them
> four times, and that's all they can take.
>
> So, I consulted briefly with Henrik, who agreed with my approach,
> which is that I've now exposed Etherpad via IP address and port number
> (a nonstandard port, just to prevent scan attacks) to the world
> directly... and I've put in a redirect, so that, for example, when I
> go to:
>
> https://etherpad.ietf.org/p/Glen
>
> I get redirected to:
>
> http://4.31.198.44:9009/p/Glen
>
> And can then use Etherpad seamlessly.
>
> Lou - I'm sorry I don't have a more elegant solution here, but this
> solves the problem, and should get you and everyone online. In the
> near future we have a major server/OS upgrade coming, and I'm hopeful
> that we can make this elegant again after that.
>
> For now, this should get you both - and everyone else - online and
> working again.
>
> Thanks for your patience as we got this sorted out.
>
> Glen